=== debian/changelog ===
libuvc (0.0.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig ]
  * Use execute_before_dh_* rather than override_dh_*
  * Use d/clean for cleanup
  * Skip dh_auto_install for arch:all
  * Declare that building this package does not require 'root' powers.
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Add salsa-ci configuration
  * Apply 'wrap-and-sort -ast'
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

  [ Debian Janitor ]
  * Apply multi-arch hints. + libuvc0: Add Multi-Arch: same.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 08 Dec 2022 23:50:16 +0100

libuvc (0.0.6-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 15:19:51 +0100

libuvc (0.0.6-1) unstable; urgency=medium

  * Initial release (Closes: #877226)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 29 Sep 2017 23:37:42 +0200
