## libuvc 0.0.7

=== debian/changelog ===
libuvc (0.0.7-4) unstable; urgency=medium

  * Team upload.
  * cmake: Set minimum required version to 3.5 for CMake 4+ compatibility
    (Closes: #1113214)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 23 Oct 2025 11:08:31 +0200

libuvc (0.0.7-3) unstable; urgency=medium

  * Team upload.
  * Move -dev dependencies to -dev package.
    Thanks to Simon McVittie (Closes: #1105774)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 14 May 2025 18:18:21 +0200

libuvc (0.0.7-2) unstable; urgency=medium

  * Team upload.
  * Add dependencies of -dev package
  * pkg-config => pkgconf

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 11 Oct 2024 16:08:02 +0200

libuvc (0.0.7-1) unstable; urgency=medium

  * New upstream version 0.0.7
    + Drop patches applied upstream
  * Fix installation path for cmake snippets
  * Update symbols file for libuvc0
    + Add new symbols to d/libuvc0.symbols
    + Add Build-Depends-Package to symbols file
  * Use 'dh-sequence-doxygen'
  * Update copyright information
    + Bump copyright dates
    + Drop stray '.git*'-stanza from d/copyright
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Jan 2024 15:52:40 +0100
